org.eclipse.microprofile.lra.tck.participant.api

## Class ContextTckResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.ContextTckResource

    @ApplicationScoped
     @Path(value="context-tck-resource")
    public class ContextTckResource
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ContextTckResource.EndPhase` An enum which controls the behaviour of participant when the LRA spec implementation invokes the compensation, completion, forget and status callbacks.

### Field Summary

Fields
`static String` `ASYNC_LRA_PATH1`
`static String` `ASYNC_LRA_PATH2`
`static String` `ASYNC_LRA_PATH3`
`static String` `CLEAR_STATUS_PATH`
`static String` `CONTEXT_CHECK_LRA_PATH`
`static String` `LEAVE_PATH`
`static String` `LRA_TCK_FAULT_CODE_HEADER`
`static String` `LRA_TCK_FAULT_TYPE_HEADER`
`static String` `LRA_TCK_HTTP_CONTEXT_HEADER`
`static String` `METRIC_PATH`
`static String` `NESTED_LRA_PATH`
`static String` `NESTED_LRA_PATH_WITH_CLOSE`
`static String` `NEW_LRA_PATH`
`static String` `REQUIRED_LRA_PATH`
`static String` `RESET_PATH`
`static String` `STATUS_PATH`
`static String` `TCK_CONTEXT_RESOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`ContextTckResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `async1LRA(URI lraId, jakarta.ws.rs.container.AsyncResponse ar)`
`CompletionStage<jakarta.ws.rs.core.Response>` `async3LRA(URI lraId)`
`CompletionStage<jakarta.ws.rs.core.Response>` `asyncInvocationWithLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `clearStatus(URI lraId, String tckFaultType)`
`jakarta.ws.rs.core.Response` `compensateWork(URI lraId, URI parent)`
`jakarta.ws.rs.core.Response` `completeWork(URI lraId, URI parent)`
`jakarta.ws.rs.core.Response` `contextCheck(URI lraId)`
`jakarta.ws.rs.core.Response` `forget(URI lraId, URI parent)`
`jakarta.ws.rs.core.Response` `leave(URI lraId)`
`jakarta.ws.rs.core.Response` `nestedLRA(URI nestedLRA, URI parentLRA)`
`jakarta.ws.rs.core.Response` `nestedLRAWithClose(URI nestedLRA, URI parentLRA)`
`jakarta.ws.rs.core.Response` `newLRA(URI lraId, String tckFaultType, int tckFaultCode)`
`jakarta.ws.rs.core.Response` `requiredLRA(URI lraId, String tckFaultType, int tckFaultCode)`
`jakarta.ws.rs.core.Response` `requiresNew(URI lraId)`
`jakarta.ws.rs.core.Response` `reset(URI lraId)`
`jakarta.ws.rs.core.Response` `status(URI lraId, URI parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TCK_CONTEXT_RESOURCE_PATH

    public static final String TCK_CONTEXT_RESOURCE_PATH

See Also:
  Constant Field Values

#### NEW_LRA_PATH

    public static final String NEW_LRA_PATH

See Also:
  Constant Field Values

#### REQUIRED_LRA_PATH

    public static final String REQUIRED_LRA_PATH

See Also:
  Constant Field Values

#### NESTED_LRA_PATH

    public static final String NESTED_LRA_PATH

See Also:
  Constant Field Values

#### NESTED_LRA_PATH_WITH_CLOSE

    public static final String NESTED_LRA_PATH_WITH_CLOSE

See Also:
  Constant Field Values

#### CONTEXT_CHECK_LRA_PATH

    public static final String CONTEXT_CHECK_LRA_PATH

See Also:
  Constant Field Values

#### ASYNC_LRA_PATH1

    public static final String ASYNC_LRA_PATH1

See Also:
  Constant Field Values

#### ASYNC_LRA_PATH2

    public static final String ASYNC_LRA_PATH2

See Also:
  Constant Field Values

#### ASYNC_LRA_PATH3

    public static final String ASYNC_LRA_PATH3

See Also:
  Constant Field Values

#### LEAVE_PATH

    public static final String LEAVE_PATH

See Also:
  Constant Field Values

#### STATUS_PATH

    public static final String STATUS_PATH

See Also:
  Constant Field Values

#### CLEAR_STATUS_PATH

    public static final String CLEAR_STATUS_PATH

See Also:
  Constant Field Values

#### METRIC_PATH

    public static final String METRIC_PATH

See Also:
  Constant Field Values

#### RESET_PATH

    public static final String RESET_PATH

See Also:
  Constant Field Values

#### LRA_TCK_FAULT_TYPE_HEADER

    public static final String LRA_TCK_FAULT_TYPE_HEADER

See Also:
  Constant Field Values

#### LRA_TCK_FAULT_CODE_HEADER

    public static final String LRA_TCK_FAULT_CODE_HEADER

See Also:
  Constant Field Values

#### LRA_TCK_HTTP_CONTEXT_HEADER

    public static final String LRA_TCK_HTTP_CONTEXT_HEADER

See Also:
  Constant Field Values

### Constructor Detail

#### ContextTckResource

    public ContextTckResource()

### Method Detail

#### reset

    @PUT
     @Path(value="/reset")
    public jakarta.ws.rs.core.Response reset(@HeaderParam(value="Lra-Tck-Context")
                                                                         URI lraId)

#### newLRA

    @PUT
     @Path(value="/new-lra")
    public jakarta.ws.rs.core.Response newLRA(@HeaderParam(value="Long-Running-Action")
                                                                            URI lraId,
                                                                            @HeaderParam(value="Lra-Tck-Fault-Type")
                                                                            String tckFaultType,
                                                                            @HeaderParam(value="Lra-Tck-Fault-Status")
                                                                            int tckFaultCode)

#### requiredLRA

    @PUT
     @Path(value="/required-lra")
    public jakarta.ws.rs.core.Response requiredLRA(@HeaderParam(value="Long-Running-Action")
                                                                                      URI lraId,
                                                                                      @HeaderParam(value="Lra-Tck-Fault-Type")
                                                                                      String tckFaultType,
                                                                                      @HeaderParam(value="Lra-Tck-Fault-Status")
                                                                                      int tckFaultCode)

#### requiresNew

    @PUT
     @Path(value="/requires-new-lra")
    public jakarta.ws.rs.core.Response requiresNew(@HeaderParam(value="Long-Running-Action")
                                                                                          URI lraId)

#### nestedLRA

    @PUT
     @Path(value="/nested-lra")
    public jakarta.ws.rs.core.Response nestedLRA(@HeaderParam(value="Long-Running-Action")
                                                                                  URI nestedLRA,
                                                                                  @HeaderParam(value="Long-Running-Action-Parent")
                                                                                  URI parentLRA)

#### nestedLRAWithClose

    @PUT
     @Path(value="/nested-lra-with-close")
    public jakarta.ws.rs.core.Response nestedLRAWithClose(@HeaderParam(value="Long-Running-Action")
                                                                                                      URI nestedLRA,
                                                                                                      @HeaderParam(value="Long-Running-Action-Parent")
                                                                                                      URI parentLRA)

#### contextCheck

    @PUT
     @Path(value="/context-check-lra")
    public jakarta.ws.rs.core.Response contextCheck(@HeaderParam(value="Long-Running-Action")
                                                                                            URI lraId)

#### async1LRA

    @PUT
     @Path(value="async-response-lra")
    public void async1LRA(@HeaderParam(value="Long-Running-Action")
                                                                  URI lraId,
                                                                  @Suspended
                                                                  jakarta.ws.rs.container.AsyncResponse ar)

#### asyncInvocationWithLRA

    @PUT
     @Path(value="completion-stage-lra")
    public CompletionStage<jakarta.ws.rs.core.Response> asyncInvocationWithLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                                         URI lraId)

#### async3LRA

    @PUT
     @Path(value="completion-stage-exceptionally-lra")
    public CompletionStage<jakarta.ws.rs.core.Response> async3LRA(@HeaderParam(value="Long-Running-Action")
                                                                                                                          URI lraId)

#### leave

    @PUT
     @Path(value="/leave")
    public jakarta.ws.rs.core.Response leave(@HeaderParam(value="Long-Running-Action")
                                                                         URI lraId)

#### compensateWork

    @PUT
     @Path(value="/compensate")
    public jakarta.ws.rs.core.Response compensateWork(@HeaderParam(value="Long-Running-Action")
                                                                                       URI lraId,
                                                                                       @HeaderParam(value="Long-Running-Action-Parent")
                                                                                       URI parent)

#### completeWork

    @PUT
     @Path(value="/complete")
    public jakarta.ws.rs.core.Response completeWork(@HeaderParam(value="Long-Running-Action")
                                                                                   URI lraId,
                                                                                   @HeaderParam(value="Long-Running-Action-Parent")
                                                                                   URI parent)

#### status

    @GET
     @Path(value="/status")
    public jakarta.ws.rs.core.Response status(@HeaderParam(value="Long-Running-Action")
                                                                           URI lraId,
                                                                           @HeaderParam(value="Long-Running-Action-Parent")
                                                                           URI parent)

#### forget

    @DELETE
     @Path(value="/forget")
    public jakarta.ws.rs.core.Response forget(@HeaderParam(value="Long-Running-Action")
                                                                              URI lraId,
                                                                              @HeaderParam(value="Long-Running-Action-Parent")
                                                                              URI parent)

#### clearStatus

    @POST
     @Path(value="/clear-status")
    public jakarta.ws.rs.core.Response clearStatus(@HeaderParam(value="Lra-Tck-Context")
                                                                                       URI lraId,
                                                                                       @HeaderParam(value="Lra-Tck-Fault-Type")
                                                                                       String tckFaultType)